#
# spec file for package python-testscenarios
#
# Copyright (c) 2023 SUSE LLC
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


%{?!python_module:%define python_module() python-%{**} python3-%{**}}
%{?sle15_python_module_pythons}
Name:           python-testscenarios
Version:        0.5.0
Release:        5.3
Summary:        A pyunit extension for dependency injection
License:        Apache-2.0 OR BSD-3-Clause
URL:            https://launchpad.net/testscenarios
Source:         https://files.pythonhosted.org/packages/source/t/testscenarios/testscenarios-%{version}.tar.gz
BuildRequires:  %{python_module pbr >= 0.11}
# Tests cause a dependency loop
#BuildRequires:  %%{python_module extras}
#BuildRequires:  %%{python_module nose}
#BuildRequires:  %%{python_module testtools}
BuildRequires:  fdupes
BuildRequires:  python-rpm-macros
Requires:       python-pbr >= 0.11
Requires:       python-testtools
BuildArch:      noarch
%python_subpackages

%description
testscenarios provides clean dependency injection for Python unittest style
tests. This can be used for interface testing (testing many implementations via
a single test suite) or for classic dependency injection (provide tests with
dependencies externally to the test code itself, allowing easy testing in
different situations).

%prep
%setup -q -n testscenarios-%{version}

%build
%python_build

%install
%python_install
%python_expand %fdupes %{buildroot}%{$python_sitelib}

# Tests introduce dependency loop with python-testtools
#%%check
#%%{python_expand PYTHONPATH=%%{buildroot}%{$python_sitelib}
#  $python -m testtools.run testscenarios.test_suite
#}

%files %{python_files}
%license COPYING
%doc Apache-2.0 BSD GOALS HACKING NEWS README
%{python_sitelib}/testscenarios
%{python_sitelib}/testscenarios-%{version}-py%{python_version}.egg-info

%changelog
* Fri Apr 21 2023 Dirk Müller <dmueller@suse.com>
- add sle15_python_module_pythons (jsc#PED-68)
* Thu Apr 13 2023 Matej Cepl <mcepl@suse.com>
- Make calling of %%{sle15modernpython} optional.
* Mon Oct 14 2019 Matej Cepl <mcepl@suse.com>
- Replace %%fdupes -s with plain %%fdupes; hardlinks are better.
* Tue Dec 18 2018 Jan Engelhardt <jengelh@inai.de>
- Use noun phrase in summary.
* Tue Dec  4 2018 Matej Cepl <mcepl@suse.com>
- Remove superfluous devel dependency for noarch package
* Sun Apr  9 2017 aloisio@gmx.com
- Disabled tests to avoid dependency loop with testtools
* Sun Apr  2 2017 aloisio@gmx.com
- Converted to single-spec
- Updated source URL
* Fri May 15 2015 benoit.monin@gmx.fr
- update to version 0.5.0:
  * Tests fixed for Python 3.3, 3.4, 3.5. (Robert Collins)
- add new build dependency python-pbr
- add new runtime dependencies python-pbr and python-testtools
* Mon May  6 2013 speilicke@suse.com
- Properly run testsuite, but not (currently) on SLE_11_SP2
* Thu May  2 2013 speilicke@suse.com
- Update to version 0.4:
  + Python 3.2 support added. (Robert Collins)
* Fri Apr  6 2012 jfunk@funktronics.ca
- Update to 0.3:
  * New function per_module_scenarios for tests that should be applied across
    multiple modules providing the same interface, some of which may not be
    available at run time. (Martin Pool)
  * TestWithScenarios is now backed by a mixin - WithScenarios - which can be
    mixed into different unittest implementations more cleanly (e.g.
    unittest2). (James Polley, Robert Collins)
- Recreate spec with current conventions
* Sat Apr 16 2011 jfunk@funktronics.ca
- Initial release
